Get Player Session
Wallet API
Get Player Session
Opens player game session for provided player token and game UUID.
Get Player Session
Documentation Index
Fetch the complete documentation index at: https://docs.game-services.work/llms.txt
Use this file to discover all available pages before exploring further.
GET /session
Headers
| Name | Type | Description |
|---|---|---|
| X-Auth-Token | string | Custom authentication header in the format X-Auth-Token: your_token_here. This token is required to authorize API requests. |
Request Parameters
| Name | Type | Description |
|---|---|---|
| playerToken | string | Unique token representing the player that was received with launch url. |
| gameUuid | string | Unique identifier of the game for which the request is being made. |
Response Parameters
| Name | Type | Description |
|---|---|---|
| playerId | string | Unique identifier of the player. |
| sessionId | string | Unique identifier of the player’s session. |
| currency | string | The currency code associated with the player’s session, typically in ISO 4217 format. |
Error
If an error occurs while processing a request, the API must return a response with
HTTP Status Code: 400 Bad Request| Name | Type | Description |
|---|---|---|
| error_code | string | Error code describing the specific issue. |
Assert that the incoming playerToken is valid, and return the playerID that is connected to the playerToken. The playerID that is returned must be unique per player, and identical each time an individual player authenticates. RGS will use the returned sessionId value in all subsequent Get Balance, Credit, Debit and Rollback requests for this game session.